libatomic-ops (7.8.0-1) unstable; urgency=medium

  * New upstream version 7.8.0
  * Handle movement of doc files

 -- Ian Wienand <ianw@debian.org>  Sat, 01 Apr 2023 10:16:01 +1100

libatomic-ops (7.6.14-1) unstable; urgency=medium

  * New upstream version 7.6.14

 -- Ian Wienand <ianw@debian.org>  Thu, 08 Sep 2022 13:35:25 +1000

libatomic-ops (7.6.12-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Convert from cdbs to dh
  * Bump debhelper compat to 11
  * debian/control: Add Homepage field
  * Run dh_auto_test everywhere again

  [ Ian Wienand ]
  * New upstream version 7.6.12

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Sep 2021 16:24:11 +1000

libatomic-ops (7.6.10-2) unstable; urgency=medium

  * Remove myself as an Uploader.

 -- Al Stone <ahs3@debian.org>  Sun, 21 Mar 2021 14:00:37 -0600

libatomic-ops (7.6.10-1) unstable; urgency=medium

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Sat, 23 Mar 2019 12:22:03 +1100

libatomic-ops (7.6.6-3) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:35:05 +0200

libatomic-ops (7.6.6-2) unstable; urgency=medium

  * Add debian watch file
  * Add VCS tags for salsa.debian.org packaging
  * libatomic-stack.3 : fix typo
  * Remove ${shlibs:Depends} as no shared libraries
  * Regenerate control
  * Switch to dpkg-source 3.0 (quilt)

 -- Ian Wienand <ianw@debian.org>  Tue, 11 Sep 2018 20:39:35 +1000

libatomic-ops (7.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Thu, 23 Aug 2018 09:35:08 +1000

libatomic-ops (7.6.4-2) unstable; urgency=medium

  * Fix links to various README files which have changed (Closes: #902802)

 -- Ian Wienand <ianw@debian.org>  Mon, 02 Jul 2018 09:40:00 +1000

libatomic-ops (7.6.4-1) unstable; urgency=medium

  * New upstream release
  * New release includes RSIC-V patches (Closes: #891341)

 -- Ian Wienand <ianw@debian.org>  Wed, 28 Mar 2018 06:14:00 +1100

libatomic-ops (7.6.2-1) unstable; urgency=medium

  * Update to stable 7.6 branch
  * Drop 0001-Basic-support-of-TILE-Gx-and-TILEPro-CPUs.patch
    (04a286421802a503b58d804d0d673dd5a28c9e9b)

 -- Ian Wienand <ianw@debian.org>  Wed, 10 Jan 2018 09:32:42 +1100

libatomic-ops (7.4.8-1) unstable; urgency=medium

  * New upstream release
  * Remove 0002-Use-LLD-and-SCD-instructions-on-mips64.patch
    (upstream 0ff076ab581d83fba6a6f14c3c550c789699678c)
  * Remove 0003-Support-n32-ABI-for-mips64.patch (upstream
    9c92c7b0d7f6c41199583497c5b5cf4eb1105a30)
  * Update to standards 4.1.1 (no changes)

 -- Ian Wienand <ianw@debian.org>  Wed, 29 Nov 2017 20:45:24 +1100

libatomic-ops (7.4.4-3) unstable; urgency=medium

  * Skip check tests on ppc and armel platforms to allow testing
    migration.  Not a great solution, but nothing upstream and is done in
    Fedora packages too.

 -- Ian Wienand <ianw@debian.org>  Sat, 26 Nov 2016 09:56:33 +1100

libatomic-ops (7.4.4-2) unstable; urgency=medium

  * Restore missing MIPS patches from 7.4 branch (Closes: #773205)
  * Re-add from 7.4 branch 0002-Use-LLD-and-SCD-instructions-on-mips64.patch
    (0ff076ab581d83fba6a6f14c3c550c789699678c)
  * Re-add from 7.4 branch 0003-Support-n32-ABI-for-mips64.patch
    (9c92c7b0d7f6c41199583497c5b5cf4eb1105a30)

 -- Ian Wienand <ianw@debian.org>  Thu, 03 Nov 2016 20:25:29 +1100

libatomic-ops (7.4.4-1) unstable; urgency=medium

  * New upstream release
  * Remove 0001-Use-LLD-and-SCD-instructions-on-mips64.patch
    (54d1da56809b892d2fc521fea0fd41ea8c23e4f2)
  * Remove 004-Support-n32-ABI-for-mips64.patch
    (d3e884b41ede6d5a83ec480f72a8ed6fb4984e3c)
  * Remove 0002-Remove-inclusion-of-acquire_release_volatile.h-on-mi.patch
    (0f838defa3e466aff725213638f90e850430f2f9)
  * Remove 0003-Minor-fix-of-code-alignment-in-mips-AO_compare_and_s.patch
    (22ca163649571c72852f5892c05a4c1c53d50cc5)
  * Remove 0005-Fix-GCC-5.x-compatibility-for-AArch64-double-wide-pr.patch
    (437c10b73ae4b83306f77c851cf8385172ae3759)
  * Enable autoreconf (Closes: #821068)
  * Include patch for tilegx (backport
    04a286421802a503b58d804d0d673dd5a28c9e9b) (Closes: #841771)
  * Update standards 3.9.8 (no change)
  * Update compat to 9

 -- Ian Wienand <ianw@debian.org>  Tue, 25 Oct 2016 22:26:35 +1100

libatomic-ops (7.4.2-3) unstable; urgency=medium

  * Restore backported patches from 7.4.2-1.1 for mips64/arm64

 -- Ian Wienand <ianw@debian.org>  Mon, 25 Jan 2016 21:22:14 +1100

libatomic-ops (7.4.2-2) unstable; urgency=medium

  * Closes: 811550 -- implement multi-arch
  * Update standards version 3.9.6 (no change)

 -- Ian Wienand <ianw@debian.org>  Wed, 20 Jan 2016 11:14:12 +1100

libatomic-ops (7.4.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version 3.9.5 (no change)

 -- Ian Wienand <ianw@debian.org>  Sat, 21 Jun 2014 11:21:55 +1000

libatomic-ops (7.3~alpha3+git20130717-1) unstable; urgency=low

  * Closes: 717095 -- update to current upstream for arm64
  * Update standards version (no change)

 -- Ian Wienand <ianw@debian.org>  Wed, 17 Jul 2013 09:06:32 +1000

libatomic-ops (7.3~alpha3+git20121114-1) unstable; urgency=low

  * Closes: 680100 -- include workaround for alpha spin-outs; thanks to
    Ivan Maidanski <ivmai@mail.ru> for diagnosing.

 -- Ian Wienand <ianw@debian.org>  Wed, 14 Nov 2012 15:27:35 -0800

libatomic-ops (7.3~alpha1+git20120718-1) unstable; urgency=low

  * Closes: 655872 -- Update from upstream git which fixes issues with
    older compilers as used on kfreebsd
    (613f39d369045e8fc385a439f67a575cddcc6fa1).  Thanks Ivan!

 -- Ian Wienand <ianw@debian.org>  Wed, 18 Jul 2012 07:08:36 -0700

libatomic-ops (7.3~alpha1+git20120701-1) unstable; urgency=low

  * Closes: 679680 -- Update from upstream git which contains fix for type
    issue on ia64 (3e7162d789df366a57d3e4a59dde4046f91ed135)

 -- Ian Wienand <ianw@debian.org>  Sun, 01 Jul 2012 22:20:34 -0700

libatomic-ops (7.3~alpha1+git20120621-1) unstable; urgency=low

  * Update from upstream git
  * Closes: 632604 -- Fixed by upstream 30cea1b as identified by Emanuele
    Aina and Gregor Herrmann <gregoa@debian.org>.  Thanks!

 -- Ian Wienand <ianw@debian.org>  Thu, 21 Jun 2012 09:55:15 -0700

libatomic-ops (7.3~alpha1+git20111031-1) unstable; urgency=low

  * Update from upstream git
  * Closes: 645302 -- Integrates patch from Thorsten Glaser

 -- Ian Wienand <ianw@debian.org>  Mon, 31 Oct 2011 23:01:03 -0700

libatomic-ops (7.3~alpha1+git20110913-1) unstable; urgency=low

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Tue, 13 Sep 2011 21:19:00 -0700

libatomic-ops (7.2~alpha5+cvs20101124-1) unstable; urgency=low

  * Closes: 604753 -- Update from upstream CVS, fixes ARM Thumb-2 mode
    FTBFS

 -- Ian Wienand <ianw@debian.org>  Wed, 24 Nov 2010 21:20:40 -0800

libatomic-ops (7.2~alpha5+cvs20100919-1) unstable; urgency=low

  * Closes: 597193 -- Update from upstream CVS to fix armel issues
  * Update to standards 3.9.1

 -- Ian Wienand <ianw@debian.org>  Sun, 19 Sep 2010 21:55:41 -0700

libatomic-ops (7.2~alpha5+cvs20100601-1) unstable; urgency=low

  * Update from upstream CVS, to fix AVR build issues with change from
    Brad Smith

 -- Ian Wienand <ianw@debian.org>  Tue, 01 Jun 2010 15:37:41 -0700

libatomic-ops (7.2~alpha5+cvs20100523-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: 580211 -- avr support integrated upstream (Thanks Stefano!)

 -- Ian Wienand <ianw@debian.org>  Fri, 21 May 2010 15:47:12 -0700

libatomic-ops (7.2~alpha5+cvs20100204-1) unstable; urgency=low

  * New upstream (with new version scheme based on the GC library)
  * Packagaing overhaul - remove unneeded debian/libatomic-ops-dev.files,
    debian/libatomic-ops-dev.install, debian/docs, debian/dirs
  * Update rules to use DEB_DESTDIR to install into /tmp
  * Pick only relevant files with debian/libatomic-ops-dev.install
  * Remove patch to ignore upstream doc generation, not needed with above
    changes

 -- Ian Wienand <ianw@debian.org>  Thu, 04 Feb 2010 14:57:58 -0800

libatomic-ops (1.2+cvs20091005-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: #547136 -- patch accepted upstream
  * Lintian updates : Update standards version, debhelper compat version,
    add Section tag for source, misc depends for debhelper

 -- Ian Wienand <ianw@debian.org>  Mon, 5 Oct 2009 11:08:00 -0700

libatomic-ops (1.2+cvs20080819-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: #495211 -- patch taken upstream, thanks Thiemo!

 -- Ian Wienand <ianw@debian.org>  Tue, 19 Aug 2008 14:25:24 -0700

libatomic-ops (1.2+cvs20080815-1) unstable; urgency=low

  * New upstream, taken from CVS repository at
    bdwgc.cvs.sourceforge.net:/cvsroot/bdwgc
    which upstream has told me is official home of the package.
  * Patches now included upstream: 01_s390_include.patch, 02_mips.patch,
    04_m68k.patch, 05_powerpc_asm.patch, 07_pic_cmpxchng.patch,

 -- Ian Wienand <ianw@debian.org>  Fri, 15 Aug 2008 21:26:06 -0700

libatomic-ops (1.2-4) unstable; urgency=low

  * Closes: #463390 -- Add 06_double.patch to fix some issues with double
    CAS defs.  Patch by Jamey Sharp, thanks Jamey!
  * This fixed up AO_compare_double_and_swap_double_full which then
    revealed a PIC problem, which then revealed the arguments to cmpxchg8b
    were around the wrong way, fixed in 07_pic_cmpxchng.patch

 -- Ian Wienand <ianw@debian.org>  Fri, 01 Feb 2008 11:09:33 +1100

libatomic-ops (1.2-3) unstable; urgency=low

  * Closes: #449152 -- updated MIPS patch from Thiemo Seufer

 -- Ian Wienand <ianw@debian.org>  Sun, 04 Nov 2007 19:01:31 +1100

libatomic-ops (1.2-2) unstable; urgency=low

  * Add patches/05_powerpc_asm.patch to fix invalid ASM in PowerPC, as per
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=33171 (Closes: #432654).
    Thanks to Sjoerd Simons <sjoerd@luon.net> for isolating the bug, and
    Andrew Pinkski for solution.

 -- Ian Wienand <ianw@debian.org>  Mon, 27 Aug 2007 11:13:13 +1000

libatomic-ops (1.2-1) unstable; urgency=low

  * New upstream
  * Remove 00_x86_intrin.patch, fixed upstream (with "=q")x

 -- Ian Wienand <ianw@debian.org>  Fri, 25 May 2007 11:29:30 +1000

libatomic-ops (1.1-4) unstable; urgency=low

  * Closes: #322027, #338469 -- add 04_m68k.patch for M68K support, from
    Roman Zippel <zippel@linux-m68k.org>.  Add note in README.Debian about
    port.
  * Change mainatiner address to my @debian.org

 -- Ian Wienand <ianw@debian.org>  Mon, 16 Oct 2006 09:45:29 +1000

libatomic-ops (1.1-3) unstable; urgency=low

  * move the check target under the rules to make cdbs run inbuilt tests
  * Closes: #307448 -- assuming the (newly re-enabled) test runs OK we
    seem to be building on ARM

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Thu,  8 Dec 2005 13:39:22 +1100

libatomic-ops (1.1-2) unstable; urgency=low

  * spell my name right in README.Debian
  * patches/03_nodoc.patch : don't install documentation, the packaging
    does this directly
  * really install manpages
  * clean up what docs get installed
  * don't auto generate control file, do it in external scripts

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 25 Nov 2005 16:28:16 +1100

libatomic-ops (1.1-1) unstable; urgency=low

  * New upstream release
  * Convert to use CDBS with patch system; move extra stuff over upstream
    into ./debian/patches
  * Closes: #336112, #338442 -- MIPS support debian/patches/02_mips.patch
    Thanks Thiemo!

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Mon, 31 Oct 2005 13:40:53 +1100

libatomic-ops (1.0-3) unstable; urgency=low

  * Closes: bug#332378 -- fix include headers in
    src/atomic_ops/sysdeps/gcc/s390.h

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Thu,  6 Oct 2005 16:14:49 +1000

libatomic-ops (1.0-2) unstable; urgency=low

  * Closes: bug#321284 -- we now only have the -dev package with the
    static libraries in it, and it replaces the normal version (this
    corrects an ahs3 thinko from 1.0-1).
  * Add a note to README.Debian about staticness and license
  * Add /doc subdir into package documents
  * Closes: bug#321291 -- use "Q" constraint in
    src/atomic_ops/sysdeps/gcc/x86.h for AO_test_and_set_full, see
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=23242
  * Reopening #307448 -- the asm needs to be reconsidered and possibly
    rewritten for ARM.

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri,  5 Aug 2005 11:13:26 +1000

libatomic-ops (1.0-1) unstable; urgency=low

  * Closes: bug#307503 -- FTBS.  Update to upstream 1.0 (ianw)
  * The 'libatomic-ops' package now contains only a statically linked
    library, as upstream wishes (which makes sense, in this case, and
    still fits within policy).  The 'libatomic-ops-dev' package now
    depends on the 'libatomic-ops' as a result to ensure a developer
    can still properly link against the package (ahs3).
  * Update standards version to 3.6.2 (ahs3)
  * Closes: bug#307448 -- variable 'ret' undefined on ARM.  I think
    this has been solved but I could be wrong and may have to reopen
    this bug (ahs3).

 -- Al Stone <ahs3@debian.org>  Mon,  1 Aug 2005 22:25:38 -0600

libatomic-ops (0.5.1-4) unstable; urgency=low

  * Add man page

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 20 May 2005 08:28:14 +1000

libatomic-ops (0.5.1-3) unstable; urgency=low

  * Closes: bug#287276: support for amd64 -- thinko, skipped part
    of Kurt's patch inadvertently.

 -- Al Stone <ahs3@debian.org>  Mon, 21 Feb 2005 17:15:35 -0700

libatomic-ops (0.5.1-2) unstable; urgency=low

  * Closes: bug#287276: support for amd64 added (thanks to Kurt
    Roeckx <Q@ping.be> for the patch).
  * Closes: bug#244910: all architectures have now been enabled (only
    i386, ia64, amd64 are absolutely known to work, however)

 -- Al Stone <ahs3@debian.org>  Sat, 19 Feb 2005 15:47:31 -0700

libatomic-ops (0.5.1-1) unstable; urgency=low

  * Merge in Ian's changes for a non-native Debian package -- properly,
    this time.
  * Remove the auto* build-deps (the point of Ian's changes)
  * Closes: bug#270013 -- FTBFS: Permission problem on autogen.sh
  * Since we've started branching from upstream a little, change
    the versioning to reflect that -- hence, 0.5.1 to start with.

 -- Al Stone <ahs3@debian.org>  Tue,  7 Sep 2004 16:01:18 -0600

libatomic-ops (0.5-3) unstable; urgency=low

  * Update to cleanup and not be a debian native package
  * Closes: bug#266131: FTBFS: aclocal-1.7: command not found
  * Minor changes to debian/rules file (ahs3)
  * Cleanup minor typos before upload (ahs3)
  * Added 'libtool' to Build-Depends (ahs3)

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 27 Aug 2004 10:48:39 +1000

libatomic-ops (0.5-2) unstable; urgency=low

  * Cleanup of the source tree from Ian Wienand <ianw@gelato.unsw.edu.au>;
    got rid of all the generated files to simplify things.
  * Did cleanup of lintian-reported items

 -- Al Stone <ahs3@fc.hp.com>  Tue, 24 Aug 2004 22:50:25 -0600

libatomic-ops (0.5-1) unstable; urgency=low

  * Initial Release based on Ian Wienand's work (<ianw@gelato.unsw.edu.au>).
  * Inserted myself (Al Stone <ahs3@debian.org> as maintainer.
  * Cleaned up the various files needed in the debian directory.
  * Package now creates 'libatomic-ops' and 'libatomic-ops-dev'
  * Package now uses libtool
  * Closes: bug#231793 -- ITP for libatomic_ops

 -- Al Stone <ahs3@debian.org>  Sat, 13 Mar 2004 14:38:53 -0700

